Subject: Re: bug#53866: face-attribute giving bold for ultra-bold attribute

From: goncholden <[email-masked]>
Date: Tue, 08 Feb 2022 06:56:12 +0000

------- Original Message -------
On Tuesday, February 8th, 2022 at 6:42 AM, Lars Ingebrigtsen <[email-masked]> wrote:
> goncholden [email-masked] writes:

> > Now that you mention it, I do not know exactly what font emacs is using.
> > I have modus-themes activated. Are there monospace fonts which go to
> > ultra-bold?

> I have no such fonts. But Sauce Code Pro, for instance, has a Black
> variation, which is heavier than ultra-bold.

Is there an easy way to find a font supporting some weight attribute.  Currently,
it is quite difficult to know what font one can use.

> `C-u C-x =' will tell you what font you're using.

I just get "point=146 of 145 (EOB) column=0"

> > I do not know whether emacs should report about whether
> > a weight setup fails for the font being used.

> Emacs chooses the nearest variation it can find -- it's very common to
> not have exactly the variety requested installed, so if Emacs were to
> complain about this, it'd be a lot of noise.

Ok